2019-12-13 11:36 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001807LordsOfTheRisingSun[All Projects] Generalpublic2017-11-27 17:38
ReporterRixa 
Assigned ToStingRayProject InfoLords of the Rising Sun (Cinemaware)
http://www.whdload.de/games/LordsOfTheRisingSun.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001807: Lords of the Rising Sun: Crashes all the time. Sometimes as long as a few
DescriptionInstall: Lords of the Rising Sun (Cinemaware) http://whdload.de/games/LordsOfTheRisingSun.html
GameVersion: The download from Cinemaware web page.
SlaveVersion: 1.2 from 12.10.06

Crashes all the time. Sometimes as long as a few minutes into gameplay but often even before the title screen shows up. The error is usually if not always something to the effect of:
Wxception 'Privilege Violation' ($20) at $9AC8F6 (Task 'input.device', ExpMem $876)
I've tried NOCACHE, NOAUTOVEC, NOVBRMOVE, PAL, NTSC but seen no improvement. WHDLoad works fine for me with most other games.
TagsNo tags attached.
MachineA1200
CPU68EC020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOther
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.8
importedyes
Attached Files

-Relationships
related to 0002094closedWepl WHDLoad "privilege violation" at expmem+$8f6 
+Relationships

-Notes

note ~0000468

haynor666 (reporter)

I tried this with original and works for a while on PAL (but might hangs later) but indeed fails on NTSC version.

note ~0002933

StingRay (developer)

WHDLoad version uses a very strange & dirty approach to bypass the Herndon HLS protection which causes these problems. I have already made a new patch and cracked the HLS protection in a clean way, no crashes anymore! Updated patch will be released after a bit of testing.

note ~0003656

Wepl (manager)

please try the whdload attached to 0002094, it should solve that issue

note ~0003688

Rixa (reporter)

I played for a while with the WHDLoad from that bug and the 1.3-B slave and got no crashes. However, it also worked when using WHDLoad 17.2, so I think StingRays new patch is probably what fixed it.

Either way, looks like the crashes are gone, so the bug can be closed.
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:18 administrator New Issue
2009-04-10 01:18 administrator Status new => assigned
2009-04-10 01:18 administrator Assigned To => JOTD
2009-04-10 01:18 administrator Machine => A1200
2009-04-10 01:18 administrator CPU => 68EC020
2009-04-10 01:18 administrator CPUSpeed => 14
2009-04-10 01:18 administrator ChipSet => AGA
2009-04-10 01:18 administrator GFXCard => None
2009-04-10 01:18 administrator ChipMem => 2 MB
2009-04-10 01:18 administrator FastMem => 8 MB
2009-04-10 01:18 administrator Workbench => Other
2009-04-10 01:18 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:18 administrator KickSoft => None
2009-04-10 01:18 administrator WHDLoad => 16.8
2009-04-10 01:18 administrator imported => yes
2009-04-22 22:10 JOTD Status assigned => acknowledged
2009-04-23 08:42 haynor666 Note Added: 0000468
2013-03-03 17:44 StingRay Note Added: 0002933
2013-03-03 17:44 StingRay Assigned To JOTD => StingRay
2013-03-03 17:44 StingRay Status acknowledged => assigned
2013-12-23 16:52 Wepl Relationship added related to 0002094
2014-01-11 18:27 Wepl Note Added: 0003656
2014-01-25 10:57 Rixa Note Added: 0003688
2017-11-27 17:38 StingRay Status assigned => resolved
2017-11-27 17:38 StingRay Resolution open => fixed
+Issue History